#ifndef straighten_log_h__
#define straighten_log_h__

#include "straighten_core.h"

enum { STRAIGHTEN_VVINFO, STRAIGHTEN_VINFO, STRAIGHTEN_INFO, STRAIGHTEN_WARNING, STRAIGHTEN_ERROR, STRAIGHTEN_FATAL};

#define straighten_log(...) _straighten_log(__FILE__, __func__, __LINE__, __VA_ARGS__)

void straighten_set_log_level(int log_level);

void straighten_set_debug(int debug);

void straighten_set_log_display(int ltp);

void _straighten_log(const char * file,  const char * function, const int line, int log_level, const char *fmt, ...);

#endif //straighten_log_h__